Error 15216 putting Ultragrid on form - Forum - OpenEdge Development - Progress Community

Error 15216 putting Ultragrid on form

 Forum

Error 15216 putting Ultragrid on form

  • Hi all,

    When I try to put an Ultragrid on a form in the Designer I get the following error:

    Substitution parameters do not conform to the type parameter constraints of Generic class.

    Infragistics.Win.Design.SubObjectCodeDomSerializer1[Infragistics.Win.Appearance], Infragistics2.Win.v10.2.Design, Version= 10.2.20102.1004, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb (15216)

    Does anyone have a clue what could be wrong and how to solve it?

    Regards

    Kees Vlasblom

  • keesvlasblom wrote:

    Hi all,

    When I try to put an Ultragrid on a form in the Designer I get the following error:

    Substitution parameters do not conform to the type parameter constraints of Generic class.

    Infragistics.Win.Design.SubObjectCodeDomSerializer1[Infragistics.Win.Appearance], Infragistics2.Win.v10.2.Design, Version= 10.2.20102.1004, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb (15216)

    Does anyone have a clue what could be wrong and how to solve it?

    Regards

    Kees Vlasblom

    Do you know if it works with the in-the-box UltraControls version ( 2009.2.xxx)?

    -- peter

  • Yep, 2009 does work, but 2010.1 and 2010.2 do not.

    Kees

  • I believe that 10.2B only supports up to 2009.2. I do not know what the support situation is for 2010.x; you may want to check with tech support on that.

    -- peter

  • Kees,

    did you get any response from progress regarding this problem as we are getting the same error having just upgraded from 10.2A to 10.2B. We have been developing within 10.2A using infragistic controls v10.1 for the last 7-8 months but since we upgraded openedge we are now getting the same error number when adding a ultraGrid.

    Regards,

    Dave

  • Hi,

    Thank you for your email. I'm currently out of the office for a training. I will return on January 28. During my absence I will have no or very limited access to my email. For urgent matters, call me on my mobile and leave a message on my voice mail or call our office.

    Best regards,

    Wouter

    --

    Wouter Dupré

    Senior Solution Consultant

    Progress Software NV

    Stocletlaan 202 B| B-2570 Duffel | Belgium

    Office +32 (0) 15 30 77 00 | Mobile +32 (0) 478 50 00 49 wdupre@progress.com

  • Any controls that are based on the .NET Framework 3.5 or less are supported. As Peter said, in 10.2x UltraControls are Infragistics 2009.x but you can buy a later version from Infragistics as long as it is based on the correct .NET framework version. I would suggest checking that you do not have a .NET 4.0 based Infragistics controls set. If it is 3.5 or earlier, please log a bug with technical support

    Thanks

    -Shelley

  • Hi Shelly,

    As far as I can tell the v10.1 controls are based on the 3.5 framework. We had been using this version of the controls with 10.2A for about 7 months without any issues it was only when we upgraded to 10.2B that we started to get the issues.

    I have logged a call with Tech support and it has been confirmed that the error I have been getting was a known issue that was due to be fixed in Openedge 11 due out in December 2011 but we are trying to push for an earlier fix as this seems to be a issue within the progress code and we cannot put our development plans on hold for 12 months.

    Regards,

    Dave.

  • Hi Shelley,

    as customer of mine has logged another issue with the 2010 UltraGrid in August (W008050006) and just received the message that the 2010 release of Infragistics is not yet supported. Their issue was related to parsing the ProBindingSource schema in the UltraGrid designer.

    The've received the response, the the support for the 2010 UltraGrid is expected for OE11 only.

    Is this still the current thinking or will the issue from above call be resolved sooner???

    Mike

  • Mike,

    lets hope it is fixed sooner, just for your info we are getting the error as soon as we add the ultraGrid to a form long before we get to the parsing of the proBindingSource.

    Also the error seems to occur on the following components as well which I have reported to Progress as part of the call I raised.

    UltraCombo

    UltraDropDown

    UltraToolbarsManager.

    Dave.

  • lets hope it is fixed sooner,

    Absolutely. It would be adorable especially to use a later version of the Ribbon. That's way overdue!

  • Let me look into this issue. I will post again once I know more details.

    -Shelley

  • Shelly.

    For your info I was dealing with Frank Meulblok at progress when I logged my call.

    Dave.

  • schase schrieb:

    Any controls that are based on the .NET Framework 3.5 or less are supported.

    Just checked Infragistics online docs: All 2010 releases from Infragistics are still CLR 2.0 based, with a few exceptions that are .NET 3.0 based (Office 2007 file type support).

  • For Every Ones Information....

    this bug has been rescheduled to be fixed in the 10.2B04 service packe, due end of March 2011.